CO_HBconsNode_t Struct Reference
CANopen_301 » Heartbeat consumer

One monitored node inside CO_HBconsumer_t. More...

`#include <CO_HBconsumer.h>`

## Data Fields

uint8_t | nodeId
| Node Id of the monitored node.
CO_NMT_internalState_t | NMTstate
| Of the remote node (Heartbeat payload)
CO_HBconsumer_state_t | HBstate
| Current heartbeat state.
uint32_t | timeoutTimer
| Time since last heartbeat received.
uint32_t | time_us
| Consumer heartbeat time from OD.
volatile void * | CANrxNew
| Indication if new Heartbeat message received from the CAN bus.
void(* | pFunctSignalPre )(void *object)
| From CO_HBconsumer_initCallbackPre() or NULL.
void * | functSignalObjectPre
| From CO_HBconsumer_initCallbackPre() or NULL.
CO_NMT_internalState_t | NMTstatePrev
| Previous value of the remote node (Heartbeat payload)
void(* | pFunctSignalNmtChanged )(uint8_t nodeId, uint8_t idx, CO_NMT_internalState_t state, void *object)
| Callback for remote NMT changed event. More...
void * | pFunctSignalObjectNmtChanged
| Pointer to object.
void(* | pFunctSignalHbStarted )(uint8_t nodeId, uint8_t idx, void *object)
| Callback for heartbeat state change to active event. More...
void * | functSignalObjectHbStarted
| Pointer to object.
void(* | pFunctSignalTimeout )(uint8_t nodeId, uint8_t idx, void *object)
| Callback for consumer timeout event. More...
void * | functSignalObjectTimeout
| Pointer to object.
void(* | pFunctSignalRemoteReset )(uint8_t nodeId, uint8_t idx, void *object)
| Callback for remote reset event. More...
void * | functSignalObjectRemoteReset
| Pointer to object.

## Detailed Description

One monitored node inside CO_HBconsumer_t.

## Field Documentation

## pFunctSignalNmtChanged

void(* CO_HBconsNode_t::pFunctSignalNmtChanged) (uint8_t nodeId, uint8_t idx, CO_NMT_internalState_t state, void *object)

Callback for remote NMT changed event.

From CO_HBconsumer_initCallbackNmtChanged() or NULL.

## pFunctSignalHbStarted

void(* CO_HBconsNode_t::pFunctSignalHbStarted) (uint8_t nodeId, uint8_t idx, void *object)

Callback for heartbeat state change to active event.

From CO_HBconsumer_initCallbackHeartbeatStarted() or NULL.

## pFunctSignalTimeout

void(* CO_HBconsNode_t::pFunctSignalTimeout) (uint8_t nodeId, uint8_t idx, void *object)

Callback for consumer timeout event.

From CO_HBconsumer_initCallbackTimeout() or NULL.

## pFunctSignalRemoteReset

void(* CO_HBconsNode_t::pFunctSignalRemoteReset) (uint8_t nodeId, uint8_t idx, void *object)

Callback for remote reset event.

From CO_HBconsumer_initCallbackRemoteReset() or NULL.

The documentation for this struct was generated from the following file:

- 301/CO_HBconsumer.h